#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 33. GNOME Libraries and Desktop

- Prev

  GNOME Libraries and Desktop

- Next

  Gcr-4.3.1

- Up
- Home

# Gcr-3.41.2

## Introduction to Gcr

The Gcr package contains libraries used for displaying certificates and accessing key stores. It also provides the viewer for crypto files on the GNOME Desktop.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/gcr/3.41/gcr-3.41.2.tar.xz

- Download MD5 sum: 40a754ba44d5e95e4d07656d6302900c

- Download size: 1012 KB

- Estimated disk space required: 33 MB (with tests)

- Estimated build time: 0.2 SBU (with tests; both using parallelism=4)

### Gcr Dependencies

#### Required

GLib-2.82.5 (GObject Introspection recommended), libgcrypt-1.11.0, and p11-kit-0.25.5

#### Recommended

GnuPG-2.4.7, GTK-3.24.48, libsecret-0.21.6, libxslt-1.1.42, and Vala-0.56.17

#### Optional

Gi-DocGen-2025.3 and Valgrind-3.24.0

## Installation of Gcr

Install Gcr by running the following commands:

    sed -i 's:"/desktop:"/org:' schema/*.xml &&

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -D gtk_doc=false    \
                -D ssh_agent=false  \
                ..                  &&
    ninja

If you have Gi-DocGen-2025.3 installed and wish to build the API documentation for this package, issue:

    sed -e "/install_dir/s@,\$@ / 'gcr-3.41.2'&@" \
        -i ../docs/*/meson.build                  &&
    meson configure -D gtk_doc=true               &&
    ninja

To test the results, issue: ninja test. The tests must be run from an X Terminal or similar.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D ssh_agent=false`: Prevent a conflict with Gcr-4.3.1. Omit this switch if you do not plan to install Gcr-4.3.1 and you want to use gcr-ssh-agent.

`-D gtk=false`: Use this switch if you haven't installed GTK-3.24.48. Note that gcr-viewer will not be installed if this is passed to meson.

`-D gtk_doc=true`: Allow building this package without Gi-DocGen-2025.3 installed. If you have Gi-DocGen-2025.3 installed and you wish to rebuild and install the API documentation, a meson configure command will reset this option.

## Contents

Installed Program: gcr-viewer
Installed Libraries: libgck-1.so, libgcr-base-3.so and libgcr-ui-3.so
Installed Directories: /usr/include/gck-1, /usr/include/gcr-3, and /usr/share/gtk-doc/html/{gcr,gck}

### Short Descriptions

gcr-viewer | is used to view certificates and key files
`libgck-1.so` | contains GObject bindings for PKCS#11

- Prev

  GNOME Libraries and Desktop

- Next

  Gcr-4.3.1

- Up
- Home